Uses of Interface
dev.langchain4j.model.decision.DecisionModel
Packages that use DecisionModel
Package
Description
-
Uses of DecisionModel in dev.langchain4j.model.typesafe
Classes in dev.langchain4j.model.typesafe that implement DecisionModelModifier and TypeClassDescriptionclassADecisionModelbacked by the TypeSafe System One API (POST /v1/systemone), which serves decision models such as Jev. -
Uses of DecisionModel in dev.langchain4j.service.decision
Methods in dev.langchain4j.service.decision that return DecisionModelModifier and TypeMethodDescriptionprotected DecisionModelDecisionServices.Builder.decisionModel()Methods in dev.langchain4j.service.decision with parameters of type DecisionModelModifier and TypeMethodDescriptionstatic <T> TDecisionServices.create(Class<T> serviceInterface, DecisionModel decisionModel) Creates an implementation of the given interface whose methods are answered by the given decision model.DecisionServices.Builder.decisionModel(DecisionModel decisionModel) -
Uses of DecisionModel in dev.langchain4j.service.decision.internal
Methods in dev.langchain4j.service.decision.internal that return DecisionModelMethods in dev.langchain4j.service.decision.internal with parameters of type DecisionModelModifier and TypeMethodDescriptionDecisionServiceConfig.Builder.decisionModel(DecisionModel decisionModel)